Ask Your Question
0

Error: uninitialized constant Puppet::PEVERSION when attempting to install module

asked 2014-06-02 16:23:41 -0500

imclean gravatar image

updated 2014-11-06 10:26:50 -0500

joshc gravatar image

Hi - I'm running into the following error which I can't seem to find any trace of. Puppet Enterprise 3.4.3 on Windows 7

PS C:\Users\imclean> puppet module install opentable-iis
Notice: Preparing to install into C:/ProgramData/PuppetLabs/puppet/etc/modules ...
Notice: Downloading from https://forgeapi.puppetlabs.com ...
Error: uninitialized constant Puppet::PEVERSION
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2014-11-04 23:22:29 -0500

joshc gravatar image

We fixed this issue in PE 3.3.0:

https://github.com/puppetlabs/puppetforthe_win/commit/fc0378b0d087a50a140247ee48e7b2f67cb74823

Can you include the full output from puppet --version?

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

3 followers

Stats

Asked: 2014-06-02 16:23:41 -0500

Seen: 188 times

Last updated: Nov 06 '14